<?php
/*
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
*/

/*###############################################*/
/*##  Awqat Alsalat  -  by www.binkhamis.org   ##*/
/*###############################################*/

/*@@ -[ START - SETTINGS ]- @@*/

$virtical = 0; // 0=no | 1=yes
$decode_utf8_encoding = 0; // 0=no | 1=yes
$xml_page = "http://www.binkhamis.org/alsalatxml.php";

/*@@ -[ END   - SETTINGS ]- @@*/

function XML2ArrayAR($xml, $utf8_2_arabic=true, $recursive=false) {
    if (!$recursive) {
        $array = simplexml_load_string($xml);
    }
    else {
        $array = $xml;
    }
    $newArray = array();
    $array = (array) $array;
    foreach ( $array as $key => $value ) {
        $value = (array) $value;
        if ( isset ($value[0]) ) {
            if ($utf8_2_arabic) {
				$newArray [iconv('UTF-8', 'CP1256', mb_strtolower($key, 'UTF-8'))] = iconv('UTF-8', 'CP1256', trim($value[0]));
			}
			else {
				$newArray [mb_strtolower($key, 'UTF-8')] = trim($value[0]);
			}
        }
        else
        {
            if ($utf8_2_arabic) {
				$newArray [iconv('UTF-8', 'CP1256', mb_strtolower($key, 'UTF-8'))] = XML2ArrayAR($value, $utf8_2_arabic, true);
			}
			else {
				$newArray [mb_strtolower($key, 'UTF-8')] = XML2ArrayAR($value, $utf8_2_arabic, true);
			}
        }
    }
    return $newArray ;
}

$xml = @file_get_contents($xml_page);

if ($decode_utf8_encoding) {
	$awqat = XML2ArrayAR($xml);
}
else {
	$awqat = XML2ArrayAR($xml, false);
}

/*###############################################################################*/

// @@ --[ Example 1 - windows-1256 from windows-1256 xml ]-- @@
//$xml = @file_get_contents("http://www.binkhamis.org/alsalatxml.php?e=windows-1256");
//$awqat = XML2ArrayAR($xml, false);

// @@ --[ Example 2 - windows-1256 from utf-8 xml ]-- @@
//$xml = @file_get_contents("http://www.binkhamis.org/alsalatxml.php");
//$awqat = XML2ArrayAR($xml);

// @@ --[ Example 3 - utf-8 from utf-8 xml ]-- @@
//$xml = @file_get_contents("http://www.binkhamis.org/alsalatxml.php");
//OR $xml = @file_get_contents("http://www.binkhamis.org/alsalatxml.php?e=utf-8");
//$awqat = XML2ArrayAR($xml, false);

/*###############################################################################*/

$css = false;
if ( isset($_GET['css']) ) {
	$t_css = mb_substr(trim($_GET['css']), 0, 256, 'UTF-8');
	if (preg_match("/^(https?[\\:][\\/][\\/])([a-z0-9_-]+[\\.])+[a-z]{3,12}([\\/])([\\/]?[a-z0-9_-]+[\\.]*)+[\\.][a-z0-9]{3,5}([\\?][a-z0-9]+[\\=][a-z0-9]*)?$/si", $t_css)) {
		$css = $t_css;
	}
}

if ( isset($_GET['v']) ) {
	$virtical = (int) mb_substr(trim($_GET['v']), 0, 1, 'UTF-8');
}

if ( is_array($awqat) ) {

/*##########################################*/
	
	// @@ --[ Example - Result Array ]-- @@
	/*
	$awqat['date']['day_name'] = "السبت";
	$awqat['date']['day'] = "3";
	$awqat['date']['month_name'] = "يوليو";
	$awqat['date']['month'] = "7";
	$awqat['date']['year'] = "2010";
	
	$awqat['date']['h_day'] = "20";
	$awqat['date']['h_month_name'] = "رجب";
	$awqat['date']['h_month'] = "7";
	$awqat['date']['h_year'] = "1431";
	
	$awqat['alsalat']['emsak'] = "0"; // OR - in Ramadan "3:04";
	$awqat['alsalat']['alfajr'] = "3:19";
	$awqat['alsalat']['shorooq'] = "4:49";
	$awqat['alsalat']['aldohr'] = "11:42";
	$awqat['alsalat']['ghoroob'] = "6:34";
	$awqat['alsalat']['aleshaa'] = "6:49";
	*/
/*##########################################*/

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1256">
<title>أوقاة الصلاة</title>
<?php
	if (!$css) {
?>
<style type="text/css">
<!--
body {
	direction:rtl;
	margin: 0px;
	color: #603702;
	font: bold 12pt tahoma;
}
.tborder
{
	background-color: #DDDDDD;
	color: #EBEBEB;
	font: bold 12pt tahoma;
	border: 1px solid #EBEBEB;
}
.tcat
{
	color: #000000;
	font: bold 12px tahoma;
}
.alt1
{
	font: bold 12px tahoma;
	background-color: #F8F8F8;
	color: #000000;
}
.alt2
{
	font: bold 12px tahoma;
	background-color: #EFEFEF;
	color: #000000;
}
-->
</style>
<?php
	}
	else {
?>
<link href="<?php print $css; ?>" rel="stylesheet" type="text/css">
<?php
	}
?>

</head>

<body>
<?php
	if (!$virtical) {
?>
<table class="tborder" cellpadding="4" cellspacing="1" border="0" width="100%" align="center" dir="ltr">
  <tr>
    <td align="center" colspan="<?php if ($awqat['alsalat']['emsak'] != "0") { ?>12<?php } else { ?>10<?php } ?>" class="alt2">يوم <?php print $awqat['date']['day_name']; ?> - <?php print $awqat['date']['day'].' '.$awqat['date']['month_name'].' '.$awqat['date']['year'].' م'; ?> الموافق <?php print $awqat['date']['h_day'].' '.$awqat['date']['h_month_name'].' '.$awqat['date']['h_year'].' هـ'; ?></td>
  </tr>
  <tr>
    <td dir="rtl" class="alt1"><?php print $awqat['alsalat']['aleshaa']; ?></td>    <td dir="rtl" class="alt1">صلاة العشائين</td>
    <td dir="rtl" class="alt1"><?php print $awqat['alsalat']['ghoroob']; ?></td>    <td dir="rtl" class="alt1">الغروب</td>
    <td dir="rtl" class="alt1"><?php print $awqat['alsalat']['aldohr']; ?></td>     <td dir="rtl" class="alt1">صلاة الظهرين</td>
    <td dir="rtl" class="alt1"><?php print $awqat['alsalat']['shorooq']; ?></td>    <td dir="rtl" class="alt1">الشروق</td>
    <td dir="rtl" class="alt1"><?php print $awqat['alsalat']['alfajr']; ?></td>     <td dir="rtl" class="alt1">صلاة الصبح</td>
<?php if ($awqat['alsalat']['emsak'] != "0") { ?>
    <td dir="rtl" class="alt1"><?php print $awqat['alsalat']['emsak']; ?></td>     <td dir="rtl" class="alt1">الإمساك</td>
<?php } ?>
  </tr>
</table>
<?php
	}
	else {
?>
<table class="tborder" cellpadding="4" cellspacing="1" border="0" align="center" dir="ltr">
  <tr>
    <td align="center" colspan="2" class="alt2">يوم <?php print $awqat['date']['day_name']; ?> - <?php print $awqat['date']['h_day'].' '.$awqat['date']['h_month_name'].' '.$awqat['date']['h_year'].' هـ'; ?></td>
  </tr>
  <tr>
    <td dir="rtl" class="alt1" align="center"><?php print $awqat['alsalat']['aleshaa']; ?></td>
    <td dir="rtl" class="alt1">صلاة العشائين</td>
  </tr>
  <tr>
    <td dir="rtl" class="alt1" align="center"><?php print $awqat['alsalat']['ghoroob']; ?></td>
    <td dir="rtl" class="alt1">الغروب</td>
  </tr>
  <tr>
    <td dir="rtl" class="alt1" align="center"><?php print $awqat['alsalat']['aldohr']; ?></td>
    <td dir="rtl" class="alt1">صلاة الظهرين</td>
  </tr>
  <tr>
    <td dir="rtl" class="alt1" align="center"><?php print $awqat['alsalat']['shorooq']; ?></td>
    <td dir="rtl" class="alt1">الشروق</td>
  </tr>
  <tr>
    <td dir="rtl" class="alt1" align="center"><?php print $awqat['alsalat']['alfajr']; ?></td>
    <td dir="rtl" class="alt1">صلاة الصبح</td>
  </tr>
<?php if ($awqat['alsalat']['emsak'] != "0") { ?>
  <tr>
    <td dir="rtl" class="alt1" align="center"><?php print $awqat['alsalat']['emsak']; ?></td>
    <td dir="rtl" class="alt1">الإمساك</td>
  </tr>
<?php } ?>
  <tr>
    <td align="center" colspan="2" class="alt1">الموافق <?php print $awqat['date']['day'].' '.$awqat['date']['month_name'].' '.$awqat['date']['year'].' م'; ?></td>
  </tr>
</table>
<?php
	}
?>
</body>
</html><?php
}
?>